
import 'package:flutter/material.dart';
import 'package:nirrti/nirrti.dart';
import 'package:nirrti/src/custom_components/custom_autocomplete/dropdown_container/view_model.dart';

mixin ViewMixin {
  render(BuildContext context, DropDownContainerState state) {
    return ConstrainedBox(
      constraints: BoxConstraints(
        minWidth: (Artist().maxInputWidth < (state.widget.width ?? 0)) ? Artist().maxInputWidth : state.widget.width!,
        maxWidth: Artist().maxInputWidth,
        maxHeight:  state.widget.maxHeight,
        minHeight: 0,
      ),
      child: state.widget.isLoading == true ?
        Container(
          color: Colors.white,
          child: const OwlnextLoading()
        )
      : SingleChildScrollView(
        child: Column(
          children: [
            for (AutocompleteOption item in state.widget.optionsList)
            Container(
              color: Colors.white,
              child: InkWell(
                onTap: () {
                  state.widget.onClickOption(item);
                },
                child: IgnorePointer(
                  child: item.widget,
                )
              ),
            ),
          ],
        ),
      )
    );
  }
}